## DISTINCT-Spezifikation (distinct_spec)

Die DISTINCT-Spezifikation (distinct_spec) wird in einer QUERY-Spezifikation oder in einer SINGLE SELECT-Anweisung angegeben, um Duplikatzeilen zu entfernen.

### Syntax

<distinct_spec> ::= DISTINCT | ALL

### Beispiele

SQL-Tutorial, Auswählen und Anordnen von Zeilen

### Erläuterung

Eine Zeile ist ein Duplikat einer anderen Zeile, wenn beide in jeder Spalte identische Werte aufweisen. NULL-Werte gelten dabei als identisch, ebenso Spezial-NULL-Werte.

Wird keine DISTINCT-Spezifikation angegeben, werden keine Duplikatzeilen aus der Ergebnistabelle entfernt.

· DISTINCT: Aus der Ergebnistabelle werden alle Duplikatzeilen entfernt.

· ALL: Aus der Ergebnistabelle werden keine Duplikatzeilen entfernt.